[XFree86] fcint.h:445: parse error before "encoding"

kilroy no-spam at sonic.net
Sun Jul 13 06:03:14 PDT 2003


Vicchius wrote:
> 
> I got a similar problem. Solved with a "make uninstall" from within the
> freetype2 sources directory just before compiling Xfree (i.e. remove
> freetype2 also :). Maybe it can help...
> 
> Vicchius
> 

   Thank you, I will try that.

   But now I am wondering if I an misreading the BLFS Book.

   That is, when I saw

<quote>
XFree86 depends on:
freetype-2.1.3, expat-1.95.6 and libpng-1.2.5
</quote>

in the BLFS Book, I tok it to mean that I had to install freetupe
before I installed xfree -- which I did.

   Now I notice there is a freetype2 source tree starting at

                     xc/extras/freetype2/

inside the xfree source tree, roughly 50% identical to the
freetype2 I have installed.

   Maybe xfree compiles this "internal" version of freetype2
and it is this internal version of freetype2 that conflicts with the 
freetype2 that I have installed?

   Hmm, well, I guess I am about to find out.

   Thanks again.

   Bill

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe blfs-support' in the subject header of the message



More information about the blfs-support mailing list